# -*- coding:utf-8; mode:python3; indent-tabs-mode:nil; c-basic-offset:4; -*-

""" Mode Names. """

from . import mode_events

from .mode_events import Modes


NAMES = {
    Modes.ALL_SOUND_OFF: "All Sound Off",
    Modes.RESET_ALL_CONTROLLERS: "Reset All Controllers",
    Modes.LOCAL_CONTROL: "Local Control",
    Modes.ALL_NOTES_OFF: "All Notes Off",
    Modes.OMNI_OFF: "Omni Off",
    Modes.OMNI_ON: "Omni On",
    Modes.POLY_ON: "Poly On",
}

assert len(NAMES) == len(Modes)
assert all(x in NAMES for x in Modes)


def name(event):
    """ Event mode name. """
    if not isinstance(event, mode_events.Mode):
        raise RuntimeError
    mode = event.mode
    if mode not in NAMES:
        raise RuntimeError
    return NAMES[mode]
