# -*- coding:utf-8; mode:python3; indent-tabs-mode:nil; c-basic-offset:4; -*-

""" Realtime event names. """

from . import realtime_events

from .realtime_events import Events


NAMES = {
    Events.CLOCK: "Clock",
    Events.TICK: "Tick",
    Events.START: "Start",
    Events.CONTINUE: "Continue",
    Events.STOP: "Stop",
    Events.ACTIVE_SENSE: "Active Sense",
    Events.RESET: "Reset",
}

assert len(NAMES) == len(Events)
assert all(x in NAMES for x in Events)


def name(event):
    """ Realtime event name. """
    if not isinstance(event, realtime_events.Event):
        raise RuntimeError
    event_index = event.event
    if event_index not in NAMES:
        raise RuntimeError
    return NAMES[event_index]
